Package javax.help

# Class CSH.DisplayHelpAfterTracking

java.lang.Object
javax.help.CSH.DisplayHelpAfterTracking

All Implemented Interfaces:
  `ActionListener`, `EventListener`

Enclosing class:
  `CSH`

public static class CSH.DisplayHelpAfterTracking extends Object implements ActionListener
An ActionListener that displays help on a selected object after tracking context-sensitive events. It is normally activated from a button. It uses CSH.trackingCSEvents to track context-sensitive events and when an object is selected it gets the helpID for the object and displays the helpID in the help viewer.

## Constructor Summary

Constructors
Constructor
Description
`DisplayHelpAfterTracking(HelpBroker hb)`
`DisplayHelpAfterTracking(HelpSet hs, String presentation, String presentationName)`
Create a DisplayHelpAfterTracking actionListener for a given HelpSet.

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DisplayHelpAfterTracking

public DisplayHelpAfterTracking(HelpBroker hb)

### DisplayHelpAfterTracking

public DisplayHelpAfterTracking(HelpSet hs, String presentation, String presentationName)
Create a DisplayHelpAfterTracking actionListener for a given HelpSet. Display the results in specific Presentation of given PresentationName.

Parameters:
  `hs` - A valid HelpSet.
  `presention` - A valid javax.help.Presentation class. Throws an IllegalArgumentException if the presentation class cannot instantiated.
  `name` - The name of the presentation. This will retrieve the presentation details from the HelpSet hs if one exists. For some Presentation this name will also indicate the "named" Presentation to display the information in.
Throws:
  `NullPointerException` - if hs is Null.
  `IllegalArgumentException` - if presentation is not valid.

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent e)

Specified by:
  `actionPerformed` in interface `ActionListener`